#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>

export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."

. "${TSP_DIR}/common.sh"

test -f "${UPDATE_WWW}" || die "No need to update the webpage" 0

publish -limit 4096 -db "${DBPATH}" -out "${WWW_PUBLISH}"
publish -limit 2048 -tizen3 -db "${DBPATH}" -out "${WWW_3_PUBLISH}"
publish -limit 2048 -tizen4 -db "${DBPATH}" -out "${WWW_4_PUBLISH}"

rm "${UPDATE_WWW}"
