#!/bin/sh

# Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."

. "${TSP_DIR}/common.sh"

echo "$@" >> /tmp/testlab.log

JOBID="$1"
EXIT_STATUS="$2"
QUEUE="$(echo "${TMPDIR##*/}" | tr '-' '_')"

# tsp will refer to the proper queue, because TMPDIR is passed here
EXECUTION_TIME=$(tsp -i "$JOBID" | grep "Time run" | grep -o "[0-9]\+\.[0-9]\+")
# Skip jobs below 1s execution time
test "${EXECUTION_TIME%%.*}" -ge "8" && \
    post_prom "ts_execution_time_$QUEUE" "$EXECUTION_TIME" "Execution time for the $QUEUE queue"
post_prom "ts_exit_status_$QUEUE" "$EXIT_STATUS" "Exit status for the $QUEUE queue"
