#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>

export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."

. "${TSP_DIR}/common.sh"

# Get diskspace usage for filesystem storing workspaces.
PER="$(df -P "${WS_DOWNLOAD}" | grep -o "[0-9]\+%.*$")"
# Leave only numerical value.
PER="${PER%\%*}"

if [ "$PER" -ge 80 ]
then
    nr="$(tsmaster -L DISK_CLEANUP sh "${TSP_DIR}/jobs/free_diskspace.sh" 1)"
else
    if [ "$PER" -ge 60 ]
    then
        nr="$(tsmaster -L DISK_CLEANUP sh "${TSP_DIR}/jobs/free_diskspace.sh" 3)"
    else
        if [ "$PER" -ge 40 ]
        then
            nr="$(tsmaster -L DISK_CLEANUP sh "${TSP_DIR}/jobs/free_diskspace.sh" 7)"
        fi
    fi
fi

test -z "$nr" || tsmaster -u "$nr"
