#!/bin/sh

# Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."

. "${TSP_DIR}/common.sh"

TIMES_NAME="tsrun_time"
TIMES="$(mktemp)"
{
    echo "# HELP $TIMES_NAME Execution time of the most recent command"
    echo "# TYPE $TIMES_NAME gauge"
} > "$TIMES"

for ltarget in $TARGET_LIST
do
    target="${ltarget#*-}"
    COUNT="$(tsrun_target "${target}" | grep "queued\|running" | wc -l)"
    # Report queue length
    post_prom "tsrun_queued_${target}" "$COUNT" "Length of ${target} queue"
    TIME="$(tsrun_target "${target}" -i | grep -o "[0-9]\+\.[0-9]\+")"
    echo "${TIMES_NAME}{target=\"${ltarget}\"} $TIME" >> "$TIMES" #FIXME use real target instead of l-target
done

chmod 644 "$TIMES"
mv "$TIMES" "$PROM_DIR/tsrun_times.prom"
